Subject: Re: libgit2 - a true git library

From: "Shawn O. Pearce" <[email-masked]>
Date: Fri, 31 Oct 2008 18:43:36 -0700

Nicolas Pitre <[email-masked]> wrote:
> On Sat, 1 Nov 2008, Pierre Habouzit wrote:
> 
> > See junio's example. It's rather easy to add hooks into the library to
> > implement a feature outside of it. It's even possible to do it while
> > preserving the ABI fully IMHO (by being a strict superset of it).
> > 
> > The patch would be so trivial, that I see no reason why they wouldn't
> > provide it. Though the real implementation of the feature that would be
> > delegated through it would be in their closed source stuff.
> 
> But at that point it's a matter of public perception.  It would clearly 
> be against the spirit of the license even though the license itself 
> couldn't prevent such tortuous practices.  Those people doing such 
> things would clearly be identified as bad guys and get bad press, and 
> libgit contributors could even attempt law suits based on the derived 
> work angle.  That might be just enough to prevent such things to happen.

Yes.
 
> OTOH they would certainly come out clean if the license was BSD since 
> the spirit of that license explicitly allows closing up the whole 
> library and adding extra features.

My take on the consensus for the license part of the discussion is
that libgit2 should be under the "GPL gcc library" license.

BTW, I can't actually find a copy of that license; the only thing
I can locate in the GCC SVN tree is a copy of the LGPL.

-- 
Shawn.